### A free/open-source library for quantitative finance

Australia Class Reference
Calendars

Australian calendar. More...

`#include <ql/time/calendars/australia.hpp>`

Inheritance diagram for Australia:
[legend]

List of all members.

## Detailed Description

Australian calendar.

Holidays:

- Saturdays
- Sundays
- New Year's Day, January 1st
- Australia Day, January 26th (possibly moved to Monday)
- Good Friday
- Easter Monday
- ANZAC Day. April 25th (possibly moved to Monday)
- Queen's Birthday, second Monday in June
- Bank Holiday, first Monday in August
- Labour Day, first Monday in October
- Christmas, December 25th (possibly moved to Monday or Tuesday)
- Boxing Day, December 26th (possibly moved to Monday or Tuesday)